Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.webcommon30
Class FormLoginConfigTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.webcommon30.FormLoginConfigTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, FormLoginConfigType<T>

    public class FormLoginConfigTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, FormLoginConfigType<T>

This class implements the `form-login-configType` xsd type

Original Documentation:

The form-login-configType specifies the login and error
pages that should be used in form based login. If form based
authentication is not used, these elements are ignored.
Used in: login-config

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`FormLoginConfigTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`FormLoginConfigTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.String` | `getFormErrorPage()` Returns the `form-error-page` element
`java.lang.String` | `getFormLoginPage()` Returns the `form-login-page` element
`FormLoginConfigType<T>` | `removeFormErrorPage()` Removes the `form-error-page` element
`FormLoginConfigType<T>` | `removeFormLoginPage()` Removes the `form-login-page` element
`FormLoginConfigType<T>` | `setFormErrorPage(java.lang.String formErrorPage)` If not already created, a new `form-error-page` element with the given value will be created.
`FormLoginConfigType<T>` | `setFormLoginPage(java.lang.String formLoginPage)` If not already created, a new `form-login-page` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormLoginConfigTypeImpl

    public FormLoginConfigTypeImpl(T t,
                                   java.lang.String nodeName,
                                   org.jboss.shrinkwrap.descriptor.spi.Node node)

### FormLoginConfigTypeImpl

    public FormLoginConfigTypeImpl(T t,
                                   java.lang.String nodeName,
                                   org.jboss.shrinkwrap.descriptor.spi.Node node,
                                   org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setFormLoginPage

    public FormLoginConfigType<T> setFormLoginPage(java.lang.String formLoginPage)

  If not already created, a new `form-login-page` element with the given value will be created. Otherwise, the existing `form-login-page` element will be updated with the given value.

  Specified by:
    `setFormLoginPage` in interface `FormLoginConfigType<T>`
  Returns:
    the current instance of `FormLoginConfigType`

### removeFormLoginPage

    public FormLoginConfigType<T> removeFormLoginPage()

  Removes the `form-login-page` element

  Specified by:
    `removeFormLoginPage` in interface `FormLoginConfigType<T>`
  Returns:
    the current instance of `FormLoginConfigType`

### getFormLoginPage

    public java.lang.String getFormLoginPage()

  Returns the `form-login-page` element

  Specified by:
    `getFormLoginPage` in interface `FormLoginConfigType<T>`
  Returns:
    the node defined for the element `form-login-page`

### setFormErrorPage

    public FormLoginConfigType<T> setFormErrorPage(java.lang.String formErrorPage)

  If not already created, a new `form-error-page` element with the given value will be created. Otherwise, the existing `form-error-page` element will be updated with the given value.

  Specified by:
    `setFormErrorPage` in interface `FormLoginConfigType<T>`
  Returns:
    the current instance of `FormLoginConfigType`

### removeFormErrorPage

    public FormLoginConfigType<T> removeFormErrorPage()

  Removes the `form-error-page` element

  Specified by:
    `removeFormErrorPage` in interface `FormLoginConfigType<T>`
  Returns:
    the current instance of `FormLoginConfigType`

### getFormErrorPage

    public java.lang.String getFormErrorPage()

  Returns the `form-error-page` element

  Specified by:
    `getFormErrorPage` in interface `FormLoginConfigType<T>`
  Returns:
    the node defined for the element `form-error-page`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD